#!/bin/sh

outfile=""
param="/TTY_HIST_BBU_OFF"
adap="/A"
ttyhist="./linttylog"
x="srvadmin-storelib-sysfs"

  if [ ! -z $1 ] ; then
    outfile=$1
    if [ -f $outfile ] ; then
        /bin/rm -f $outfile > /dev/null 2>&1
    fi
  fi


  if [ -f /etc/vmware-release ]; then
    if [ ! -z $1 ] ; then
      echo "<SVMInventory lang=\"en\" />" > $outfile
    else
      echo "<SVMInventory lang=\"en\" />"
    fi
  else
    if [ -f *.rom -a -x $ttyhist ] ; then
      for i in 0 1 2 3 4 5 6 7; do
  	  ./linttylog.bin $adap$i $param > /dev/null 2>&1
      done
    fi

    rpm_installed=false

    rpm -qa  --qf "%{NAME}-%{ARCH}\n" | grep $x | grep i386 > /dev/null 2>&1
    if [ $? -eq 0 ]; then
      rpm_installed=true
    else
      rpm -i --force ${x}* > /dev/null 2>&1
    fi

    ./LSIPIE.bin -i $outfile

    if [ $rpm_installed = false ]; then
      rpm -e ${x}.i386 > /dev/null 2>&1
    fi		  
  fi
  
